TestDetails¶
- class oci.apm_config.models.TestDetails(**kwargs)¶
Bases:
objectThe request body used to execute a test.
Attributes:
A constant which can be used with the test_type property of a TestDetails.
[Required] Gets the test_type of this TestDetails.
Methods:
__init__(**kwargs)Initializes a new TestDetails object with values from keyword arguments.
get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- TEST_TYPE_SPAN_ENRICHMENT = 'SPAN_ENRICHMENT'¶
A constant which can be used with the test_type property of a TestDetails. This constant has a value of “SPAN_ENRICHMENT”
- __init__(**kwargs)¶
Initializes a new TestDetails object with values from keyword arguments. This class has the following subclasses and if you are using this class as input to a service operations then you should favor using a subclass over the base class:
The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
test_type (str) – The value to assign to the test_type property of this TestDetails. Allowed values for this property are: “SPAN_ENRICHMENT”
- static get_subtype(object_dictionary)¶
Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- property test_type¶
[Required] Gets the test_type of this TestDetails. The kind of test to run.
Allowed values for this property are: “SPAN_ENRICHMENT”
- Returns
The test_type of this TestDetails.
- Return type
str